import Graphics.UI.FLTK

resizeTo img (x,y,w,h) = 
    do iw <- width img
       ih <- height img
       return (x,y,iw,ih)

loadImage group win = 
    do fp <- fileChooser "Choose a file" "Image (*.{bmp,jpg,png,gif})" ""
       img <- newImage fp
       set group [ image := img, coords ::=> resizeTo img ]
       set win [ coords ::=> resizeTo img ]
       

main = do w <- newWindow 0 0 640 480 [ label := "myapp" ]
	  g <- newGroup  0 0 640 480 [ align  := aCenter +|+ aInside +|+ aClip ]
	  set w [ when := wNotChanged, action := loadImage g ]
	  run w
